if get_option('build_dx11')
  dx11_dep = declare_dependency(link_args: ['-ld3d11', '-ldxgi', '-lwinmm', '-ldxguid'])
  dx11_renderer_lib = library('rtdx11',
    # Dx11 specific files
    'device.hpp',
    
    'device.cpp',
    'init.cpp',

    dependencies: [m_dep, dx11_dep, thread_dep],
    include_directories: [engine_incdir, contrib_incdir],
    link_with: [runtime_lib, common_renderer_lib],
    cpp_pch: 'pch/dx11_pch.h',
    override_options: ['b_sanitize=none'],
    install: true)

  engine_libs += dx11_renderer_lib
  engine_lib_paths += dx11_renderer_lib.full_path()
endif
